Package com.avaya.clientservices.call

## Enum VideoMode

- java.lang.Object
- - java.lang.Enum<VideoMode>
  - - com.avaya.clientservices.call.VideoMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoMode>`

      public enum VideoMode
      extends java.lang.Enum<VideoMode>

  Enumeration of different video modes that can requested by the local application for a call session.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLE` | Disable video request (i.e., remove video).
    `INACTIVE` | Inactive.
    `NONE` | No video.
    `RECEIVE_ONLY` | Receive-only (i.e., no camera capture and send) video request.
    `SEND_ONLY` | Send-only (i.e., no receipt of incoming video) video request.
    `SEND_RECEIVE` | Bi-directional video request.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VideoMode NONE

      No video. Returned if no video mode is set for the call.

    - #### SEND_RECEIVE

          public static final VideoMode SEND_RECEIVE

      Bi-directional video request.

    - #### RECEIVE_ONLY

          public static final VideoMode RECEIVE_ONLY

      Receive-only (i.e., no camera capture and send) video request.

    - #### SEND_ONLY

          public static final VideoMode SEND_ONLY

      Send-only (i.e., no receipt of incoming video) video request.

    - #### INACTIVE

          public static final VideoMode INACTIVE

      Inactive. Returned if video for the call is inactive.

    - #### DISABLE

          public static final VideoMode DISABLE

      Disable video request (i.e., remove video).

  - ### Method Detail

    - #### values

          public static VideoMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoMode c : VideoMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null